import i from "clsx";
import { jsx as s, jsxs as y, Fragment as j } from "react/jsx-runtime";
import T, { useContext as v } from "react";
/*!
  @versini/ui-table v3.0.0
  © 2025 gizmette.com
*/
try {
  window.__VERSINI_UI_TABLE__ || (window.__VERSINI_UI_TABLE__ = {
    version: "3.0.0",
    buildTime: "01/03/2025 10:45 AM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const _ = "thead", B = "tfoot", u = "tbody", f = {
  ASC: "asc",
  DESC: "desc"
}, W = ({
  mode: e,
  className: a,
  wrapperClassName: t,
  stickyHeader: r,
  stickyFooter: o
}) => ({
  wrapper: i(
    "not-prose relative w-full rounded-lg shadow-md",
    {
      "overflow-x-auto": !r && !o,
      "overflow-y-scroll": r || o,
      "bg-surface-darker": e === "dark" || e === "system",
      "bg-surface-light": e === "light" || e === "alt-system",
      "dark:bg-surface-light": e === "system",
      "dark:bg-surface-darker": e === "alt-system",
      "text-copy-light": e === "dark",
      "text-copy-dark": e === "light",
      "text-copy-light dark:text-copy-dark": e === "system",
      "text-copy-dark dark:text-copy-light": e === "alt-system"
    },
    t
  ),
  table: i("my-0 w-full text-left text-sm", a, {
    "text-copy-light": e === "dark",
    "text-copy-dark": e === "light",
    "text-copy-light dark:text-copy-dark": e === "system",
    "text-copy-dark dark:text-copy-light": e === "alt-system"
  }),
  caption: i("py-2 text-sm font-bold", {
    "text-copy-light": e === "dark",
    "text-copy-dark": e === "light",
    "text-copy-light dark:text-copy-dark": e === "system",
    "text-copy-dark dark:text-copy-light": e === "alt-system"
  })
}), P = ({
  className: e,
  stickyHeader: a,
  mode: t
}) => i(
  {
    "sticky top-0 z-10": a,
    "shadow-[rgb(190_190_190_/20%)_0_0.5rem_1rem]": a && t === "dark",
    "shadow-[rgb(190_190_190_/20%)_0_0.5rem_1rem] dark:shadow-[rgb(65_65_65_/30%)_0_0.5rem_1rem]": a && t === "system",
    "shadow-[rgb(65_65_65_/30%)_0_0.5rem_1rem]": a && t === "light",
    "shadow-[rgb(65_65_65_/30%)_0_0.5rem_1rem] dark:shadow-[rgb(190_190_190_/20%)_0_0.5rem_1rem]": a && t === "alt-system"
  },
  e
), D = ({
  className: e,
  stickyFooter: a,
  mode: t
}) => i(
  {
    "sticky bottom-0 z-10": a,
    "shadow-[rgb(190_190_190_/20%)_0_-0.5rem_1rem]": a && t === "dark",
    "shadow-[rgb(190_190_190_/20%)_0_-0.5rem_1rem] dark:shadow-[rgb(65_65_65_/30%)_0_-0.5rem_1rem]": a && t === "system",
    "shadow-[rgb(65_65_65_/30%)_0_-0.5rem_1rem]": a && t === "light",
    "shadow-[rgb(65_65_65_/30%)_-0_0.5rem_1rem] dark:shadow-[rgb(190_190_190_/20%)_0_-0.5rem_1rem]": a && t === "alt-system"
  },
  e
), F = ({
  mode: e,
  className: a,
  cellWrapper: t
}) => t === _ || t === B ? i(
  {
    "bg-table-head-dark": e === "dark" || e === "system",
    "bg-table-head-light": e === "light" || e === "alt-system",
    "dark:bg-table-head-light": e === "system",
    "dark:bg-table-head-dark": e === "alt-system"
  },
  a
) : i(
  "border-b last:border-0",
  {
    "border-table-dark": e === "dark" || e === "system",
    "odd:bg-table-dark-odd even:bg-table-dark-even": t === u && e === "dark",
    "border-table-light": e === "light" || e === "alt-system",
    "odd:bg-table-light-odd even:bg-table-light-even": t === u && e === "light",
    "dark:border-table-light": e === "system",
    "odd:bg-table-dark-odd even:bg-table-dark-even dark:odd:bg-table-light-odd dark:even:bg-table-light-even": t === u && e === "system",
    "dark:border-table-dark": e === "alt-system",
    "odd:bg-table-light-odd even:bg-table-light-even dark:odd:bg-table-dark-odd dark:even:bg-table-dark-even": t === u && e === "alt-system"
  },
  a
), G = ({
  cellWrapper: e,
  className: a,
  compact: t,
  mode: r,
  align: o
}) => i(
  {
    "flex justify-start": o === "left",
    "flex justify-center": o === "center",
    "flex justify-end": o === "right",
    "text-copy-light": r === "dark" || r === "system",
    "text-copy-dark": r === "light" || r === "alt-system",
    "dark:text-copy-dark": r === "system",
    "dark:text-copy-light": r === "alt-system",
    "px-4 py-3": !t && (e === _ || e === B),
    "p-4": !t && e === u,
    "px-2 py-1.5": t
  },
  a
), Y = ({
  buttonClassName: e
}) => i("rounded-none text-sm", e), I = "av-button", C = "icon", S = "button", N = "link", q = ({
  type: e,
  size: a,
  labelRight: t,
  labelLeft: r,
  align: o
}) => {
  const l = "max-h-8 py-0 px-2", d = "max-h-9 py-1 px-3", c = "max-h-12 py-2 px-4";
  switch (e) {
    case S:
    case N:
      return i({
        [l]: a === "small",
        [d]: a === "medium",
        [c]: a === "large"
      });
    case C:
      return i("inline-flex items-center", {
        "justify-center": o === "center",
        "justify-start": o === "left",
        "justify-end": o === "right",
        "h-6 w-6 p-0": a === "small" && !(t || r),
        "h-6 px-2": a === "small" && (t || r),
        "h-8 w-8 p-1": a === "medium" && !(t || r),
        "h-8 px-3": a === "medium" && (t || r),
        "h-12 w-12 p-2": a === "large" && !(t || r),
        "h-12 px-4": a === "large" && (t || r)
      });
  }
}, J = ({
  type: e,
  size: a,
  labelRight: t,
  labelLeft: r
}) => {
  const o = "text-sm font-medium", l = "text-base font-medium", d = "text-lg font-medium";
  switch (e) {
    case S:
    case N:
      return i({
        "text-center": e === N,
        [o]: a === "small",
        [l]: a === "medium",
        [d]: a === "large"
      });
    case C:
      return i({
        [o]: a === "small" && (t || r),
        [l]: a === "medium" && (t || r),
        [d]: a === "large" && (t || r)
      });
  }
}, K = ({
  mode: e,
  noBackground: a,
  noTruncate: t,
  variant: r
}) => {
  if (a)
    return "not-prose";
  if (r === "primary")
    return i("not-prose", {
      truncate: !t,
      "text-copy-light": e === "dark",
      "text-copy-lighter": e === "light",
      "text-copy-light dark:text-copy-lighter": e === "system",
      "text-copy-lighter dark:text-copy-light": e === "alt-system"
    });
  if (r === "secondary")
    return i("not-prose", {
      truncate: !t,
      "text-copy-light": e === "light",
      "text-copy-lighter": e === "dark",
      "text-copy-light dark:text-copy-lighter": e === "alt-system",
      "text-copy-lighter dark:text-copy-light": e === "system"
    });
  if (r === "danger")
    return i("not-prose", {
      truncate: !t,
      "text-copy-light": e === "dark",
      "text-copy-lighter": e === "light",
      "text-copy-light dark:text-copy-lighter": e === "system",
      "text-copy-lighter dark:text-copy-light": e === "alt-system"
    });
  if (r === "selected")
    return i("not-prose", {
      truncate: !t,
      "text-copy-light": e === "dark",
      "text-copy-lighter": e === "light",
      "text-copy-light dark:text-copy-lighter": e === "system",
      "text-copy-lighter dark:text-copy-light": e === "alt-system"
    });
}, Q = ({
  mode: e,
  noBackground: a,
  variant: t
}) => {
  if (!a) {
    if (t === "primary")
      return i({
        "bg-action-dark": e === "dark",
        "bg-action-light": e === "light",
        "bg-action-dark dark:bg-action-light": e === "system",
        "bg-action-light dark:bg-action-dark": e === "alt-system"
      });
    if (t === "secondary")
      return i({
        "bg-action-dark": e === "light",
        "bg-action-light": e === "dark",
        "bg-action-dark dark:bg-action-light": e === "alt-system",
        "bg-action-light dark:bg-action-dark": e === "system"
      });
    if (t === "danger")
      return i({
        "bg-action-danger-dark": e === "dark",
        "bg-action-danger-light": e === "light",
        "bg-action-danger-dark dark:bg-action-danger-light": e === "system",
        "bg-action-danger-light dark:bg-action-danger-dark": e === "alt-system"
      });
    if (t === "selected")
      return "bg-action-selected-dark";
  }
}, X = ({
  radius: e
}) => i({
  "rounded-full": e === "large",
  "rounded-md": e === "medium",
  "rounded-sm": e === "small"
}), Z = ({
  mode: e,
  disabled: a,
  variant: t
}) => {
  if (a)
    return "";
  if (t === "primary")
    return i("hover:text-copy-light-hover", {
      "hover:bg-action-dark-hover": e === "dark",
      "hover:bg-action-light-hover": e === "light",
      "hover:bg-action-dark-hover dark:hover:bg-action-light-hover": e === "system",
      "hover:bg-action-light-hover dark:hover:bg-action-dark-hover": e === "alt-system"
    });
  if (t === "secondary")
    return i("hover:text-copy-light-hover", {
      "hover:bg-action-dark-hover": e === "light",
      "hover:bg-action-light-hover": e === "dark",
      "hover:bg-action-dark-hover dark:hover:bg-action-light-hover": e === "alt-system",
      "hover:bg-action-light-hover dark:hover:bg-action-dark-hover": e === "system"
    });
  if (t === "danger")
    return i("hover:text-copy-light-hover", {
      "hover:bg-action-danger-dark-hover": e === "dark",
      "hover:bg-action-danger-light-hover": e === "light",
      "hover:bg-action-danger-dark-hover dark:hover:bg-action-danger-light-hover": e === "system",
      "hover:bg-action-danger-light-hover dark:hover:bg-action-danger-dark-hover": e === "alt-system"
    });
  if (t === "selected")
    return "hover:text-copy-light-hover hover:bg-action-selected-dark-hover";
}, $ = ({
  mode: e,
  disabled: a,
  variant: t
}) => {
  if (a)
    return "";
  if (t === "primary")
    return i("active:text-copy-light-active", {
      "active:bg-action-dark-active": e === "dark",
      "active:bg-action-light-active": e === "light",
      "active:bg-action-dark-active dark:active:bg-action-light-active": e === "system",
      "active:bg-action-light-active dark:active:bg-action-dark-active": e === "alt-system"
    });
  if (t === "secondary")
    return i("active:text-copy-light-active", {
      "active:bg-action-dark-active": e === "light",
      "active:bg-action-light-active": e === "dark",
      "active:bg-action-dark-active dark:active:bg-action-light-active": e === "alt-system",
      "active:bg-action-light-active dark:active:bg-action-dark-active": e === "system"
    });
  if (t === "danger")
    return i("active:text-copy-lighter-active", {
      "active:bg-action-danger-dark-active": e === "dark",
      "active:bg-action-danger-light-active": e === "light",
      "active:bg-action-danger-dark-active dark:active:bg-action-danger-light-active": e === "system",
      "active:bg-action-danger-light-active dark:active:bg-action-danger-dark-active": e === "alt-system"
    });
  if (t === "selected")
    return "active:text-copy-lighter-active active:bg-action-selected-dark-active";
}, ee = ({
  mode: e,
  noBorder: a,
  variant: t
}) => {
  if (a)
    return "border border-transparent";
  if (t === "primary")
    return i("border", {
      "border-border-dark": e === "dark",
      "border-border-accent": e === "light",
      "border-border-dark dark:border-border-accent": e === "system",
      "border-border-accent dark:border-border-dark": e === "alt-system"
    });
  if (t === "secondary")
    return i("border", {
      "border-border-dark": e === "light",
      "border-border-accent": e === "dark",
      "border-border-dark dark:border-border-accent": e === "alt-system",
      "border-border-accent dark:border-border-dark": e === "system"
    });
  if (t === "danger")
    return i("border", {
      "border-border-danger-dark": e === "dark",
      "border-border-danger-medium": e === "light",
      "border-border-danger-dark dark:border-border-danger-medium": e === "system",
      "border-border-danger-medium dark:border-border-danger-dark": e === "alt-system"
    });
  if (t === "selected")
    return "border border-border-selected-dark";
}, te = ({
  focusMode: e
}) => i("focus:outline", "focus:outline-2", "focus:outline-offset-2", {
  "focus:outline-focus-dark": e === "dark",
  "focus:outline-focus-light": e === "light",
  "focus:outline-focus-light dark:focus:outline-focus-dark": e === "alt-system",
  "focus:outline-focus-dark dark:focus:outline-focus-light": e === "system"
}), ae = ({
  type: e,
  className: a,
  raw: t,
  mode: r,
  focusMode: o,
  disabled: l,
  fullWidth: d,
  size: c,
  noBorder: g,
  labelRight: n,
  labelLeft: b,
  noBackground: m,
  variant: h,
  noTruncate: p,
  align: x,
  radius: w
}) => (h || (h = "primary"), t ? i(I, a) : i(
  I,
  K({
    mode: r,
    variant: h,
    noBackground: m,
    noTruncate: p
  }),
  Q({ mode: r, noBackground: m, variant: h }),
  X({ radius: w }),
  q({
    type: e,
    size: c,
    labelRight: n,
    labelLeft: b,
    align: x
  }),
  J({ type: e, size: c, labelRight: n, labelLeft: b }),
  ee({ mode: r, variant: h, noBorder: g }),
  te({ focusMode: o }),
  Z({ mode: r, variant: h, disabled: l }),
  $({ mode: r, variant: h, disabled: l }),
  {
    "w-full": d,
    "disabled:cursor-not-allowed disabled:opacity-50": l
  },
  a
)), re = (e, a, t) => {
  var r;
  !a && (!document.activeElement || document.activeElement !== e.currentTarget) && typeof ((r = e == null ? void 0 : e.currentTarget) == null ? void 0 : r.focus) == "function" && e.currentTarget.focus(), typeof t == "function" && t(e);
}, E = T.forwardRef((e, a) => {
  const { onClick: t, noInternalClick: r = !1, ...o } = e;
  return /* @__PURE__ */ s(
    "button",
    {
      ref: a,
      onClick: (l) => {
        re(l, r, t);
      },
      ...o
    }
  );
});
E.displayName = "BaseButton";
/*!
  @versini/ui-button v4.0.0
  © 2025 gizmette.com
*/
try {
  window.__VERSINI_UI_BUTTON__ || (window.__VERSINI_UI_BUTTON__ = {
    version: "4.0.0",
    buildTime: "01/03/2025 10:45 AM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const R = T.forwardRef(
  ({
    children: e,
    disabled: a = !1,
    mode: t = "system",
    focusMode: r = "system",
    fullWidth: o = !1,
    className: l,
    type: d = "button",
    raw: c = !1,
    noBorder: g = !1,
    "aria-label": n,
    label: b,
    size: m = "medium",
    labelRight: h,
    labelLeft: p,
    noBackground: x = !1,
    align: w = "center",
    active: V = !1,
    radius: L = "large",
    ...M
  }, A) => {
    const H = ae({
      type: C,
      mode: t,
      focusMode: r,
      fullWidth: o,
      disabled: a,
      raw: c,
      className: l,
      noBorder: g,
      size: m,
      labelRight: h,
      labelLeft: p,
      noBackground: x,
      align: w,
      radius: L
    }), U = i({
      "text-copy-accent-dark": t === "light" && !c,
      "text-copy-light": t === "dark" && !c,
      "text-copy-accent-dark dark:text-copy-light": t === "alt-system" && !c,
      "text-copy-light dark:text-copy-accent-dark": t === "system" && !c
    }), O = V ? i(
      "relative",
      "focus-within:static",
      "focus-within:after:border-transparent",
      "after:absolute",
      "after:content-['']",
      "after:border-b-2",
      "after:bottom-[-4px]",
      "after:left-0",
      "after:right-0",
      {
        "after:border-table-dark": t === "dark",
        "after:border-table-light": t === "light",
        "after:border-table-dark dark:after:border-table-light": t === "system",
        "after:border-table-light dark:after:border-table-dark": t === "alt-system"
      }
    ) : "";
    return /* @__PURE__ */ s("div", { className: O, children: /* @__PURE__ */ y(
      E,
      {
        ref: A,
        className: H,
        disabled: a,
        type: d,
        "aria-label": n || b,
        ...M,
        children: [
          p && /* @__PURE__ */ s("span", { className: "pr-2", children: p }),
          /* @__PURE__ */ s("div", { className: U, children: e }),
          h && /* @__PURE__ */ s("span", { className: "pl-2", children: h })
        ]
      }
    ) });
  }
);
R.displayName = "ButtonSort";
const z = ({
  children: e,
  fill: a,
  viewBox: t,
  className: r,
  defaultViewBox: o,
  size: l,
  title: d,
  semantic: c = !1,
  ...g
}) => {
  const n = i(l, r);
  return /* @__PURE__ */ y(j, { children: [
    /* @__PURE__ */ s(
      "svg",
      {
        xmlns: "http://www.w3.org/2000/svg",
        className: n,
        viewBox: t || o,
        fill: a || "currentColor",
        role: "img",
        "aria-hidden": !c,
        focusable: !1,
        ...g,
        children: e
      }
    ),
    d && c && /* @__PURE__ */ s("span", { className: "sr-only", children: d })
  ] });
};
/*!
  @versini/ui-svgicon v4.0.0
  © 2025 gizmette.com
*/
try {
  window.__VERSINI_UI_SVGICON__ || (window.__VERSINI_UI_SVGICON__ = {
    version: "4.0.0",
    buildTime: "01/03/2025 10:45 AM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const oe = ({
  className: e,
  viewBox: a,
  title: t,
  monotone: r,
  ...o
}) => /* @__PURE__ */ y(
  z,
  {
    defaultViewBox: "0 0 576 512",
    size: "size-5",
    viewBox: a,
    className: e,
    title: t || "Sort",
    ...o,
    children: [
      /* @__PURE__ */ s(
        "path",
        {
          opacity: r ? "1" : "0.4",
          d: "M393.4 41.4c12.5-12.5 32.8-12.5 45.3 0l96 96c12.5 12.5 12.5 32.8 0 45.3s-32.8 12.5-45.3 0L448 141.3V448c0 17.7-14.3 32-32 32s-32-14.3-32-32V141.3l-41.4 41.4c-12.5 12.5-32.8 12.5-45.3 0s-12.5-32.8 0-45.3l96-96z"
        }
      ),
      /* @__PURE__ */ s("path", { d: "M137.4 470.6c12.5 12.5 32.8 12.5 45.3 0l96-96c12.5-12.5 12.5-32.8 0-45.3s-32.8-12.5-45.3 0L192 370.7V64c0-17.7-14.3-32-32-32s-32 14.3-32 32V370.7L86.6 329.4c-12.5-12.5-32.8-12.5-45.3 0s-12.5 32.8 0 45.3l96 96z" })
    ]
  }
), ie = ({
  className: e,
  viewBox: a,
  title: t,
  monotone: r,
  ...o
}) => /* @__PURE__ */ y(
  z,
  {
    defaultViewBox: "0 0 576 512",
    size: "size-5",
    viewBox: a,
    className: e,
    title: t || "Sort Down",
    ...o,
    children: [
      /* @__PURE__ */ s(
        "path",
        {
          opacity: r ? "1" : "0.4",
          d: "M288 448c0 17.7 14.3 32 32 32h32c17.7 0 32-14.3 32-32s-14.3-32-32-32H320c-17.7 0-32 14.3-32 32zm0-128c0 17.7 14.3 32 32 32h96c17.7 0 32-14.3 32-32s-14.3-32-32-32H320c-17.7 0-32 14.3-32 32zm0-128c0 17.7 14.3 32 32 32H480c17.7 0 32-14.3 32-32s-14.3-32-32-32H320c-17.7 0-32 14.3-32 32zm0-128c0 17.7 14.3 32 32 32H544c17.7 0 32-14.3 32-32s-14.3-32-32-32H320c-17.7 0-32 14.3-32 32z"
        }
      ),
      /* @__PURE__ */ s("path", { d: "M128 480c9 0 17.5-3.8 23.6-10.4l88-96c11.9-13 11.1-33.3-2-45.2s-33.3-11.1-45.2 2L160 365.7V64c0-17.7-14.3-32-32-32s-32 14.3-32 32V365.7L63.6 330.4c-11.9-13-32.2-13.9-45.2-2s-13.9 32.2-2 45.2l88 96C110.5 476.2 119 480 128 480z" })
    ]
  }
), se = ({
  className: e,
  viewBox: a,
  title: t,
  monotone: r,
  ...o
}) => /* @__PURE__ */ y(
  z,
  {
    defaultViewBox: "0 0 576 512",
    size: "size-5",
    viewBox: a,
    className: e,
    title: t || "Sort Up",
    ...o,
    children: [
      /* @__PURE__ */ s(
        "path",
        {
          opacity: r ? "1" : "0.4",
          d: "M288 64c0-17.7 14.3-32 32-32h32c17.7 0 32 14.3 32 32s-14.3 32-32 32H320c-17.7 0-32-14.3-32-32zm0 128c0-17.7 14.3-32 32-32h96c17.7 0 32 14.3 32 32s-14.3 32-32 32H320c-17.7 0-32-14.3-32-32zm0 128c0-17.7 14.3-32 32-32H480c17.7 0 32 14.3 32 32s-14.3 32-32 32H320c-17.7 0-32-14.3-32-32zm0 128c0-17.7 14.3-32 32-32H544c17.7 0 32 14.3 32 32s-14.3 32-32 32H320c-17.7 0-32-14.3-32-32z"
        }
      ),
      /* @__PURE__ */ s("path", { d: "M128 32c9 0 17.5 3.8 23.6 10.4l88 96c11.9 13 11.1 33.3-2 45.2s-33.3 11.1-45.2-2L160 146.3V448c0 17.7-14.3 32-32 32s-32-14.3-32-32V146.3L63.6 181.6c-11.9 13-32.2 13.9-45.2 2s-13.9-32.2-2-45.2l88-96C110.5 35.8 119 32 128 32z" })
    ]
  }
);
/*!
  @versini/ui-icons v4.0.0
  © 2025 gizmette.com
*/
try {
  window.__VERSINI_UI_ICONS__ || (window.__VERSINI_UI_ICONS__ = {
    version: "4.0.0",
    buildTime: "01/03/2025 10:45 AM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const k = T.createContext({
  mode: "light",
  cellWrapper: "thead",
  stickyHeader: !1,
  stickyFooter: !1,
  compact: !1
}), ge = ({
  children: e,
  mode: a = "system",
  caption: t,
  compact: r,
  summary: o,
  className: l,
  wrapperClassName: d,
  maxHeight: c,
  stickyHeader: g,
  stickyFooter: n,
  ...b
}) => {
  const m = W({
    mode: a,
    className: l,
    wrapperClassName: d,
    stickyHeader: g,
    stickyFooter: n
  });
  return /* @__PURE__ */ s(
    k.Provider,
    {
      value: { mode: a, stickyHeader: g, stickyFooter: n, compact: r },
      children: /* @__PURE__ */ s(
        "div",
        {
          className: m.wrapper,
          ...c && {
            style: { maxHeight: c }
          },
          children: /* @__PURE__ */ y("table", { className: m.table, summary: o, ...b, children: [
            t && /* @__PURE__ */ s("caption", { className: m.caption, children: t }),
            e
          ] })
        }
      )
    }
  );
}, he = ({
  children: e,
  className: a,
  ...t
}) => {
  const r = v(k);
  r.cellWrapper = _;
  const o = P({
    className: a,
    mode: r.mode,
    stickyHeader: r.stickyHeader
  });
  return /* @__PURE__ */ s("thead", { className: o, ...t, children: e });
}, be = ({
  children: e,
  className: a,
  ...t
}) => {
  const r = v(k);
  r.cellWrapper = B;
  const o = D({
    className: a,
    mode: r.mode,
    stickyFooter: r.stickyFooter
  });
  return /* @__PURE__ */ s("tfoot", { className: o, ...t, children: e });
}, me = ({ children: e, ...a }) => {
  const t = v(k);
  return t.cellWrapper = u, /* @__PURE__ */ s("tbody", { ...a, children: e });
}, ue = ({
  children: e,
  className: a,
  ...t
}) => {
  const r = v(k), o = F({
    mode: r.mode,
    cellWrapper: r.cellWrapper,
    className: a
  });
  return /* @__PURE__ */ s("tr", { className: o, ...t, children: e });
}, le = ({
  children: e,
  component: a,
  className: t,
  align: r,
  ...o
}) => {
  const l = v(k), d = a || (l.cellWrapper === _ ? "th" : "td"), c = G({
    cellWrapper: l.cellWrapper,
    className: t,
    mode: l.mode,
    compact: l.compact,
    align: r
  });
  return /* @__PURE__ */ s(d, { className: c, ...o, children: e });
}, ye = ({
  align: e,
  children: a,
  buttonClassName: t,
  className: r,
  component: o,
  focusMode: l = "alt-system",
  mode: d = "alt-system",
  onClick: c,
  sortDirection: g,
  sortedCell: n,
  cellId: b,
  ...m
}) => {
  const h = Y({ buttonClassName: t });
  return /* @__PURE__ */ s(
    le,
    {
      component: o,
      className: r,
      role: "columnheader",
      "aria-sort": g === f.ASC && n === b ? "ascending" : g === f.DESC && n === b ? "descending" : "other",
      ...m,
      children: /* @__PURE__ */ s(
        R,
        {
          active: n === b,
          className: h,
          onClick: c,
          align: e,
          noBorder: !0,
          focusMode: l,
          mode: d,
          fullWidth: !0,
          labelRight: a,
          children: g === f.ASC && n === b ? /* @__PURE__ */ s(se, { className: "size-4", monotone: !0 }) : g === f.DESC && n === b ? /* @__PURE__ */ s(ie, { className: "size-4", monotone: !0 }) : /* @__PURE__ */ s(oe, { className: "size-4", monotone: !0 })
        }
      )
    }
  );
};
export {
  ge as Table,
  me as TableBody,
  le as TableCell,
  ye as TableCellSort,
  f as TableCellSortDirections,
  be as TableFooter,
  he as TableHead,
  ue as TableRow
};
